class Hostage
{
   var mode;
   var id;
   var index;
   var basePos;
   var position;
   var bmpCanvas;
   var aBmp;
   var aFrames;
   var frame;
   var bOnScreen;
   var dir;
   var modeTime;
   var screenPos;
   var endPos;
   var bmpHostage;
   var sType = "hostage";
   static var maxDist = 70;
   static var width = 24;
   static var height = 30;
   var weightFactor = 1;
   function Hostage(basePosNew, idNew, indexNew)
   {
      this.mode = 0;
      this.id = idNew;
      this.index = indexNew;
      this.basePos = basePosNew.clone();
      this.position = this.basePos.clone();
      this.bmpCanvas = Game.bmpShots;
      this.aBmp = new Array();
      this.aBmp[0] = flash.display.BitmapData.loadBitmap("hostage walk " + this.id);
      this.aBmp[1] = flash.display.BitmapData.loadBitmap("hostage jump " + this.id);
      this.aBmp[2] = flash.display.BitmapData.loadBitmap("hostage hold " + this.id);
      this.aBmp[3] = flash.display.BitmapData.loadBitmap("hostage walk " + this.id);
      this.aFrames = new Array();
      this.aFrames[0] = 10;
      this.aFrames[1] = 10;
      this.aFrames[2] = 1;
      this.aFrames[3] = 10;
      this.frame = Math.round(9 * Math.random());
   }
   function step(refRope)
   {
      if(!this.bOnScreen)
      {
         return undefined;
      }
      if(this.mode == 0 || this.mode == 1)
      {
         var _loc3_ = refRope.endPos.x - this.position.x;
         var _loc4_ = refRope.endPos.y - this.position.y;
         if(Math.abs(_loc4_) < 20 && Math.abs(_loc3_) < 60 && !refRope.bHasCargo)
         {
            if(_loc3_ < 0)
            {
               this.dir = -1;
            }
            else
            {
               this.dir = 1;
            }
            this.mode = 0;
            this.position.x += 2 * this.dir;
            if(Math.abs(_loc3_) < 10)
            {
               this.mode = 2;
               refRope.refCargo = this;
               refRope.bHasCargo = true;
            }
         }
         else
         {
            if(this.modeTime > 0)
            {
               this.modeTime = this.modeTime - 1;
            }
            else
            {
               this.modeTime = 30 + Math.round(30 * Math.random());
               this.mode = Math.round(1 * Math.random());
               if(this.mode == 0)
               {
                  this.dir = Math.random() >= 0.5 ? 1 : -1;
               }
            }
            if(this.mode == 0)
            {
               this.position.x += 2 * this.dir;
               this.screenPos.x += 2 * this.dir;
               if(this.position.x < this.basePos.x - Hostage.maxDist)
               {
                  this.dir = 1;
               }
               else if(this.position.x > this.basePos.x + Hostage.maxDist)
               {
                  this.dir = -1;
               }
            }
            if(this.screenPos.x > Hostage.width / 2 && this.screenPos.x < Game.screenW - Hostage.width / 2)
            {
               while(this.checkCollision() == 0)
               {
                  this.screenPos.x += 2;
                  this.position.x += 2;
                  this.dir = 1;
               }
               while(this.checkCollision() == 1)
               {
                  this.screenPos.x -= 2;
                  this.position.x -= 2;
                  this.dir = -1;
               }
            }
         }
      }
      else if(this.mode == 2)
      {
         this.position.x = refRope.endPos.x;
         this.position.y = refRope.endPos.y;
         if(refRope.length == 0)
         {
            Game.getInstance().addPoints(this.position,100);
            Game.getInstance().chopper.increaseLoad(this.id,this.index);
            Game.getInstance().removeHostage(this);
         }
      }
      else if(this.mode == 3)
      {
         this.position.x += 1;
         if(this.position.x >= this.endPos.x)
         {
            Game.getInstance().unloadedHostages = Game.getInstance().unloadedHostages + 1;
            Game.getInstance().checkIfCompleted();
            Game.getInstance().removeHostage(this);
            Game.getInstance().setOnBoardGauge();
         }
      }
      this.frame = this.frame + 1;
      this.frame %= this.aFrames[this.mode];
   }
   function draw(leftEdge)
   {
      this.bOnScreen = false;
      var _loc2_ = this.position.x - leftEdge - Hostage.width / 2;
      var _loc4_ = this.position.y + Hostage.height / 2;
      this.screenPos = new flash.geom.Point(_loc2_,_loc4_);
      if(_loc2_ > (- Hostage.width) / 2 && _loc2_ < Game.screenW + Hostage.width / 2)
      {
         this.bOnScreen = true;
         this.bmpHostage = new flash.display.BitmapData(Hostage.width,Hostage.height,true,0);
         var _loc3_ = this.frame;
         if(this.mode == 0 || this.mode == 3)
         {
            _loc3_ = Math.floor(this.frame / 2);
            if(this.dir == -1)
            {
               _loc3_ += 5;
            }
         }
         var _loc5_ = new flash.geom.Rectangle(0,Hostage.height * _loc3_,Hostage.width,Hostage.height);
         this.bmpHostage.copyPixels(this.aBmp[this.mode],_loc5_,new flash.geom.Point(0,0),null,null,true);
         this.bmpCanvas.copyPixels(this.bmpHostage,this.bmpHostage.rectangle,new flash.geom.Point(_loc2_,Game.screenH - _loc4_),null,null,true);
      }
   }
   function getOut(hqPos)
   {
      this.mode = 3;
      this.position.x = hqPos.x + 116;
      this.position.y = hqPos.y - 122;
      this.endPos = this.position.clone();
      this.endPos.x += 44;
      this.dir = 1;
      Game.getInstance().saveHostageInd(this.index);
   }
   function checkCollision(Void)
   {
      var _loc2_ = this.screenPos.x + Hostage.width / 2;
      var _loc3_ = Game.screenH - this.position.y;
      if(Game.bmpDead.hitTest(new flash.geom.Point(0,0),250,new flash.geom.Point(_loc2_,_loc3_)))
      {
         return 0;
      }
      _loc2_ = this.screenPos.x + Hostage.width;
      if(Game.bmpDead.hitTest(new flash.geom.Point(0,0),250,new flash.geom.Point(_loc2_,_loc3_)))
      {
         return 1;
      }
      return null;
   }
}
